'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  return {
    visitor: {
      CallExpression: function CallExpression(path, state) {
        if (!isJSXCall(path)) return;
        if (isE(path)) return;
        if (isE(path.parentPath)) return;

        var eNode = t.callExpression(t.memberExpression(t.identifier('React'), t.identifier('createElement')), path.node.arguments);

        path.node.arguments = [t.identifier('E'), t.nullLiteral(), eNode];
      }
    }
  };
};

var _ = require('lodash');


var isJSXCall = function isJSXCall(path) {
  var className = _.get(path, 'node.callee.object.name');
  var propName = _.get(path, 'node.callee.property.name');
  return className === 'React' && propName === 'createElement';
};

var isE = function isE(path) {
  return _.get(path, 'node.arguments[0].name') === 'E';
};